from my_package_profile_manager.libraries.auth.manager import AuthManager
from my_package_profile_manager.libraries.auth.validations.auth import AuthValidationRules
from libraries.system.logger import Log

class Login():
    def post(self):
        response: dict = {'success_status': False}
        data: dict = dict()
        data['email'] = self.get_argument('email', None)
        if data['email'] is not None:
            data['email'] = data['email'].lower()
        data['password'] = self.get_argument('password', None)
        try:
            if data['password'] is None:
                data['password'] = ''
            validation_rules = AuthValidationRules()
            errors = validation_rules.login_validation(data, data['password'])
            if len(errors):
                response['status'] = 400
                raise ValueError(errors)

            user_manager = AuthManager()
            response = user_manager.user_login(**data)
            if response['authenticated']:
                self.set_metadata(response["detail"])
                self.set_data({
                    "authenticated": response["authenticated"]
                })
            self.set_message(response['message'])

        except ValueError as e:
            self.set_message(str(e))
            self.set_status_code(400)
            self.set_response_status(self.RESPONSE_STATUS_SUCCESS_FALSE)

        except Exception as e:
            Log().entry(e)  # loggin error
            self.set_response_status(self.RESPONSE_STATUS_SUCCESS_FALSE)

        finally:
            if response["success_status"]:
                self.set_response_status(self.RESPONSE_STATUS_SUCCESS_TRUE)
            else:
                self.set_response_status(self.RESPONSE_STATUS_SUCCESS_FALSE)
            self.set_status_code(response['status'])
            self.send()

class Logout():
    def post(self):
        pass