from spotlight.validator import Validator
from my_package_profile_manager.libraries.user.validations.user import IsValidPassword

class AuthValidationRules():
    def __init__(self):
        self.validator = Validator()

    def login_validation(self, data: dict, password:str) -> list:
        self.validator.register_rule(IsValidPassword())
        rules = {
            "email": "required|email|max:250",
            "password": "required|string|min:6|max:250|is_valid_password:"+password,
        }
        self.validator.overwrite_messages = {
            "password.valid_password": "Password is not valid.",
        }
        return self.validator.validate(data, rules)
