import datetime
from libraries.system.model import BaseModel
from peewee import IntegerField, CharField, TextField, DateTimeField
from playhouse.postgres_ext import DateTimeTZField

class EmailTemplateModel(BaseModel):
	class Meta:
		table_name = "email_templates"
	title = CharField()
	content = TextField()
	created_by = IntegerField(index=True, null=True)
	type = CharField(choices=[('sign_up', 'SignUp'),('forget_password', "Forget Password"), ('share', "Share"), ('uploaded_via_email', 'Uploaded Via Email')])
	status = CharField(choices=[('active', 'Active Email Template'),('inactive', "Inactive Email Template")])
	created_at = DateTimeTZField(default=datetime.datetime.now)
	updated_at = DateTimeTZField(default=datetime.datetime.now)