from libraries.system.model import BaseModel
from my_package_profile_manager.libraries.user.model import UserModel
from peewee import CharField, datetime, ForeignKeyField
from playhouse.postgres_ext import BinaryJSONField, DateTimeTZField


class UserProfiles(BaseModel):
    class Meta:
        table_name = "user_profiles"
    permanent_address = CharField(max_length=256, null=True)
    temporary_address = CharField(max_length=256, null=True)
    phone = CharField(max_length=256, null=True)
    mobile = CharField(max_length=256, null=True)
    image = CharField(max_length=256, null=True)
    preferences = BinaryJSONField(default={"view": "list", "per_page": 10, "widgets": "", "all_widgets": ""}, null=True)
    alternate_email = CharField(max_length=250, null=True)
    social_media = BinaryJSONField(default={"facebook":"","twitter":"","linkedin":""}, null=True)
    user_id = ForeignKeyField(UserModel, index=True, on_delete='CASCADE')
    created_at = DateTimeTZField(null=True)
    updated_at = DateTimeTZField(default=datetime.datetime.now)
    deleted_at = DateTimeTZField(null=True)


class Migration(BaseModel):
    def up(self):
        UserProfiles.create_table()

    def down(self):
        UserProfiles.drop_table(cascade=True)