import pytest, tornado.options, subprocess
from my_package_profile_manager.tests.helper.api import Api
import re

"""
TestUser class tests all the classes inside
controllers user.py file.
EmailVerification,ForgotPassword,Register.
test_user_register test Register class with post method and email,password,name,password,confirm_password and term_
"""
# python -m pytest venv/lib/python3.6/site-packages/package_profile_manager/tests/controllers/user_test.py -ra -s --env=dev_mobin_test -k test_user_register
class TestUser(object):
    def test_can_run_default_command_script(self):
        options = tornado.options.parse_command_line()
        for option in options:
            if re.search("--env", option):
                env = option.replace('--env=', '')
                break
        # subprocess.call("python -m cli pipeline --env="+env+" import-pipeline", shell=True)
        subprocess.call("python -m cli pipeline --env=" + env + " import-pipeline", shell=True)
        subprocess.call("python -m cli pipeline --env=" + env + " assign-next-pipeline", shell=True)

    @pytest.mark.parametrize("method, body", [
        ("POST", {"name": "adele", "email": "adele@chuchuro.com", "password": "hello123",
                 "confirm_password": "hello123", "agree_to_terms":True})
    ])
    def test_user_register(self,method, body):
        api = Api("register")
        response = api.call(method, body)
        assert response.code == 200

    @pytest.mark.parametrize("method, body", [
        ("POST", {"email": "adele@chuchuro.com"})
    ])
    def test_user_email_verification(self, method, body):
        api = Api("email-activation")
        response = api.call(method, body)
        assert response.code == 200

    @pytest.mark.parametrize("method, body", [
        ("POST", {"email": "adele@chuchuro.com"})
    ])
    def test_user_forget_password(self, method, body):
        api = Api("forget-password")
        response = api.call(method, body)
        assert response.code == 200