from tornado.escape import json_encode, json_decode
from application.settings import application_settings
from tornado.httpclient import HTTPRequest, HTTPClient
import urllib

class Api():

    def __init__(self, endpoint=None):
        if endpoint is not None:
            name = (list(application_settings['services'].keys())[0])
            self.api_url = application_settings["services"][name]["url"] + endpoint

    def call(self, method=None, body=None, token=None):
        """
            synchronous request
        """
        request_payload = {
            'validate_cert': False,
            'method': method,
            'body': None if body is None else urllib.parse.urlencode(body)
        }
        if token is not None:
            request_payload['headers'] = {
                'content-type': 'application/x-www-form-urlencoded',
                'Authorization': 'Bearer ' + token
            }
        http_request_obj = HTTPRequest(self.api_url, **request_payload)
        http_client = HTTPClient()
        response = http_client.fetch(http_request_obj)
        return response