from setuptools import setup,find_packages
from setuptools.command.test import test

with open('README.md', 'r') as f:
    long_description = f.read()

setup(
    name='my_package_profile_auth',
    version='0.0.12',
    author="chuchuro.firm",
    author_email="",
    description="Profile package manager",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="",
    packages=find_packages(),
    package_dir={'my_package_profile_manager': 'my_package_profile_manager'},
    python_requires='>=3.6',
    setup_requires=['pytest-runner'],
    tests_require=['pytest'],
    test_suite="package_profile_manager.tests",
    entry_points='''
        [console_scripts]
        profilelib-run-migration = my_package_profile_manager.utils.cli:migrate
        profilelib-add-email-template = my_package_profile_manager.utils.cli:add_email_templates
    ''',
    install_requires=[
        'Click',
        'spotlight'
    ],
    package_data={'my_package_profile_manager': ['tests/*', 'tests/**/*'],'my_package_profile_manager.libraries.email_templates.email_template_files':['*.txt']},
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "License :: OSI Approved :: MIT License"
    ],
)